function FileData_Pairs(x)
{
x.t("atcommand.send","method");
x.t("atcommand.send","function");
x.t("system.out.println","received");
x.t("passed","callback");
x.t("passed","second");
x.t("passed","parser");
x.t("blocking","version");
x.t("method","command");
x.t("method","creating");
x.t("method","atresponse");
x.t("method","class");
x.t("possible","responses");
x.t("possible","response");
x.t("parameter","non-blocking");
x.t("available","somewhere");
x.t("connect_list","new");
x.t("connect_list","application");
x.t("defines","capabilities");
x.t("version","atcommand.send");
x.t("mylistener","connect_list");
x.t("mylistener","string");
x.t("mylistener","implements");
x.t("mylistener","running");
x.t("mylistener","connect");
x.t("instance","passed");
x.t("instance","atcommandresponselistener");
x.t("instance","note");
x.t("callback","method");
x.t("callback","instance");
x.t("callback","class");
x.t("void","atresponse");
x.t("user","wants");
x.t("cancelled","atcommand.cancelcommand");
x.t("atcommand.cancelcommand","possible");
x.t("parsers","user");
x.t("later","becomes");
x.t("interface","defines");
x.t("interface","13.1.2");
x.t("interface","atcommandresponselistener");
x.t("interface","java");
x.t("interface","created");
x.t("awaited_response","void");
x.t("awaited_response","listen_for");
x.t("responses","cancellation");
x.t("response","command");
x.t("response","response.indexof");
x.t("response","connect");
x.t("public","mylistener");
x.t("single","method");
x.t("new","mylistener");
x.t("command","passed");
x.t("command","callback");
x.t("command","api");
x.t("command","processed");
x.t("command","syntax");
x.t("command","sent");
x.t("continues","command");
x.t("cancellation","sent");
x.t("incorrect","command");
x.t("api","13.1.2");
x.t("processed","module");
x.t("creating","instance");
x.t("methods","incorrect");
x.t("strings","cause");
x.t("string","awaited_response");
x.t("string","response");
x.t("string","listen_for");
x.t("receiving","response");
x.t("contain","processing");
x.t("second","parameter");
x.t("atc.send","atd");
x.t("listen_for","awaited_response");
x.t("listen_for","public");
x.t("called_no","connect_list");
x.t("13.1.2.1","non-blocking");
x.t("13.1","using");
x.t("13.1.2","atcommandresponselistener");
x.t("somewhere","application");
x.t("syntax","strings");
x.t("tutorial","13.1");
x.t("first","single");
x.t("processing","code");
x.t("non-blocking","atcommand.send");
x.t("non-blocking","send");
x.t("atd","called_no");
x.t("cause","errors");
x.t("function","cancelled");
x.t("function","implementation");
x.t("function","returns");
x.t("implements","atcommandresponselistener");
x.t("(listen_for)","system.out.println");
x.t("atresponse","mylistener");
x.t("atresponse","string");
x.t("atresponse","contain");
x.t("atresponse","called");
x.t("code","possible");
x.t("atcommandresponselistener","interface");
x.t("atcommandresponselistener","string");
x.t("atcommandresponselistener","class");
x.t("message","atresponse");
x.t("java","tutorial");
x.t("printed","message");
x.t("running","command");
x.t("implementation","class");
x.t("send","methods");
x.t("send","function");
x.t("waiting","callback");
x.t("parser","function");
x.t("capabilities","receiving");
x.t("becomes","available");
x.t("module","delivers");
x.t("received","strrcv");
x.t("strrcv","13.1.2.1");
x.t("application","mylistener");
x.t("application","continues");
x.t("called","response");
x.t("response.indexof","(listen_for)");
x.t("note","using");
x.t("non","blocking");
x.t("module's","parsers");
x.t("created","first");
x.t("immediately","response");
x.t("wants","non");
x.t("using","command");
x.t("using","send");
x.t("class","mylistener");
x.t("class","instance");
x.t("class","later");
x.t("class","atresponse");
x.t("class","atcommandresponselistener");
x.t("class","class");
x.t("connect","atc.send");
x.t("connect","printed");
x.t("returns","immediately");
x.t("sent","non-blocking");
x.t("sent","waiting");
x.t("sent","module's");
x.t("sent","class");
x.t("delivers","response");
}
